Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154730 - Callgrind segfaults when run
Summary: Callgrind segfaults when run
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: valgrind-callgrind
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 21:01 UTC by Kjartan Maraas
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-04 18:16:44 UTC


Attachments (Terms of Use)

Description Kjartan Maraas 2005-04-13 21:01:36 UTC
Description of problem:

Every time I run valgrind with --tool=callgrind it segfaults. I can't get a good
backtrace from it either.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jakub Jelinek 2005-04-26 15:51:14 UTC
Can you retry with valgrind-callgrind-0.9.11-1?
It works just fine for me:
valgrind --tool=callgrind -v /bin/echo
==9927== Callgrind-0.9.11, a call-graph generating cache profiler for x86-linux.
==9927== Copyright (C) 2002-2005, and GNU GPL'd, by J.Weidendorfer, N.Nethercote
et al.
==9927== Using valgrind-2.4.0, a program supervision framework for x86-linux.
==9927== Copyright (C) 2000-2005, and GNU GPL'd, by Julian Seward et al.
==9927== Valgrind library directory: /usr/lib/valgrind
==9927== Command line
==9927==    /bin/echo
==9927== Startup, with flags:
==9927==    --tool=callgrind
==9927==    -v
==9927== Contents of /proc/version:
==9927==   Linux version 2.6.9-1.906_ELsmp (bhcompile@tweety.build.redhat.com)
(gcc version 3.4.3 20041125 (Red Hat 3.4.3-6.EL4)) #1 SMP Sun Dec 12 22:58:08 EST
2004
--9927-- warning: L3 cache detected but ignored

--9927-- warning: Pentium with 12 K micro-op instruction trace cache
--9927--          Simulating a 16 KB cache with 32 B lines
==9927== Cache configuration used:
==9927==   I1: 16384B, 8-way, 32B lines
==9927==   D1: 8192B, 4-way, 64B lines, sectored
==9927==   L2: 524288B, 8-way, 64B lines, sectored
==9927== Reading syms from /bin/echo (0x8048000)
==9927==    object doesn't have a symbol table
==9927==    object doesn't have any debug info
==9927== Reading syms from /lib/ld-2.3.5.so (0x3A965000)
==9927==    object doesn't have any debug info
==9927== Reading syms from /usr/lib/valgrind/stage2 (0xB0000000)
==9927== Reading syms from /lib/ld-2.3.5.so (0xB1000000)
==9927==    object doesn't have any debug info
==9927== Reading syms from /usr/lib/valgrind/vgskin_callgrind.so (0xB7D6A000)
==9927== Reading syms from /lib/libc-2.3.5.so (0xB7EB5000)
==9927==    object doesn't have any debug info
==9927== Reading syms from /lib/libdl-2.3.5.so (0xB7FDD000)
==9927==    object doesn't have any debug info
==9927==
==9927== Reading syms from /usr/lib/valgrind/vg_inject.so (0x3A983000)
==9927== Reading syms from /lib/libc-2.3.5.so (0x3A9A5000)
==9927==    object doesn't have any debug info
==9927== Reading syms from /lib/libdl-2.3.5.so (0x3AACE000)
==9927==    object doesn't have any debug info
==9927== TRANSLATE: 0x3A9657E0 redirected to 0xAFEFF020

==9927==
--9927-- Start dumping at BB 44019 (Prg.Term.)...
--9927-- Dump to /tmp/callgrind.out.9927
--9927-- Dumping done.
--9927--
--9927-- Distinct objects: 6
--9927-- Distinct files:   6
--9927-- Distinct fns:     271
--9927-- Distinct contexts:271
--9927-- Distinct BBs:     2189
--9927-- Cost entries:     846 (Chunks 1)
--9927-- Distinct BBCCs:   2234
--9927-- Distinct JCCs:    419
--9927-- Distinct skips:   35
--9927-- BB lookups:       2189
--9927-- With full      debug info:  0% (0)
--9927-- With file/line debug info:  0% (0)
--9927-- With fn name   debug info: 94% (2069)
--9927-- With no        debug info:  5% (120)
--9927-- BBCC Clones:       45
--9927-- BBs Retranslated:  0
--9927-- Distinct instrs:   11482
--9927--
--9927-- LRU Contxt Misses: 271
--9927-- LRU BBCC Misses:   20
--9927-- LRU JCC Misses:    419
--9927-- BBs Executed:      44019
--9927-- Calls:             2715
--9927-- CondJMP followed:  0
--9927-- Boring JMPs:       0
--9927-- Recursive calls:   23
--9927-- Returns:           2715
--9927--
==9927== Events    : Ir
==9927== Collected : 218264
==9927==
==9927== I   refs:      218,264
--9927--     TT/TC: 0 tc sectors discarded.
--9927--            2194 tt_fast misses.
--9927-- translate: new     2189 (39093 -> 239141; ratio 61:10)
--9927--            discard 0 (0 -> 0; ratio 0:10).
--9927-- chainings: 1234 chainings, 0 unchainings.
--9927--  dispatch: 44019 jumps (bb entries); of them 5083 (11%) unchained.
--9927--            1/2239 major/minor sched events.
--9927-- reg-alloc: 11 t-req-spill, 55291+24 orig+spill uis,
--9927--            7708 total-reg-rank
--9927--    sanity: 2 cheap, 1 expensive checks.
--9927--    ccalls: 2232 C calls, 100% saves+restores avoided (13376 bytes)
--9927--            2275 args, avg 0.3 setup instrs each (4378 bytes)
--9927--            1% clear the stack (6567 bytes)
--9927--            43 retvals, 33% of reg-reg movs avoided (28 bytes)


Comment 2 Kjartan Maraas 2005-05-04 18:16:44 UTC
Works like a charm.


Note You need to log in before you can comment on or make changes to this bug.